<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem name="fllowers" revision="22" url="http://codecenter.sgu.ru:8081/polygon/p/vasilevskiy.boris/fllowers">
    <judging input-file="flowers.in" output-file="flowers.out">
        <testset name="tests">
            <time-limit>1000</time-limit>
            <memory-limit>67108864</memory-limit>
            <test-count>25</test-count>
            <input-path-pattern>tests/%02d</input-path-pattern>
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
            <tests>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
            </tests>
        </testset>
    </judging>
    <files>
        <resources>
            <file path="files/testlib.h" type="h.g++"/>
            <file path="files/problem.tex"/>
        </resources>
        <executables>
            <executable>
                <source>
                    <file path="files/validate.cpp" type="cpp.g++"/>
                </source>
                <binary>
                    <file path="files/validate.exe" type="exe.win32"/>
                </binary>
            </executable>
        </executables>
    </files>
    <assets>
        <checker name="std::hcmp.cpp" type="testlib">
            <source path="files/check.cpp" type="cpp.g++"/>
            <binary path="check.exe" type="exe.win32"/>
        </checker>
        <validator>
            <source path="files/validate.cpp" type="cpp.g++"/>
            <binary path="files/validate.exe" type="exe.win32"/>
        </validator>
        <solutions>
            <solution tag="accepted">
                <source path="solutions/A2.py" type="python.2"/>
                <binary path="solutions/A2.pys" type="pythonx.2"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/flowers_wa_ov.cpp" type="cpp.g++"/>
                <binary path="solutions/flowers_wa_ov.exe" type="exe.win32"/>
            </solution>
            <solution tag="main">
                <source path="solutions/flowers_ov.cpp" type="cpp.g++"/>
                <binary path="solutions/flowers_ov.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/fllowers_sf.cpp" type="cpp.g++"/>
                <binary path="solutions/fllowers_sf.exe" type="exe.win32"/>
            </solution>
        </solutions>
    </assets>
    <statements>
        <statement format="tex" language="russian" path="statements/russian/problem.tex" title="Покупка цветов"/>
    </statements>
    <properties>
        <property name="tests-wellformed" value="false"/>
    </properties>
    <tags>
        <tag value="moscow team"/>
    </tags>
</problem>
